<template>
  <div class="mt-form-fields-typedisponibilite">
    <div class="mt-fields-section">
      <b-field label="Code ">
        <b-input v-model="typeDisponibilite.code" placeholder="Ex: DISPO" required />
      </b-field>
      <b-field label="Libellé ">
        <b-input v-model="typeDisponibilite.libelle" placeholder="Ex: Disponible" required />
      </b-field>
      <b-field label="Disponible / Indisponible"></b-field>
      <b-field>
        <b-radio-button v-model="typeDisponibilite.estDisponible" :native-value="true" type="is-success">
          <b-icon icon="check"></b-icon>
          <span>Disponible</span>
        </b-radio-button>

        <b-radio-button v-model="typeDisponibilite.estDisponible" :native-value="false" type="is-danger">
          <b-icon icon="close"></b-icon>
          <span>Indisponible</span>
        </b-radio-button>
      </b-field>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    typeDisponibilite: {
      type: Object,
      default: () => ({}),
    },
  },
};
</script>

<style scoped lang="scss">
@import '~/assets/css/_variables';

/deep/ {
  label.label {
    font-size: 0.8rem;
    color: $grey;
    margin-bottom: 0.3em;
    font-weight: normal;
  }
}

h3 {
  font-weight: bold;
  margin-bottom: 1rem;
}

.mt-fields-section {
  margin-bottom: 1.25rem;
}

.mt-fake-field {
  margin-bottom: 0;
}
</style>
